Index: /code/branches/core6/src/libraries/core/Core.cc
===================================================================
--- /code/branches/core6/src/libraries/core/Core.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/core/Core.cc	(revision 9656)
@@ -509,4 +509,6 @@
 
 
+    RegisterAbstractClass(DevModeListener).inheritsFrom(Class(Listable));
+
     DevModeListener::DevModeListener()
     {
Index: /code/branches/core6/src/libraries/core/ViewportEventListener.cc
===================================================================
--- /code/branches/core6/src/libraries/core/ViewportEventListener.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/core/ViewportEventListener.cc	(revision 9656)
@@ -32,4 +32,6 @@
 namespace orxonox
 {
+    RegisterAbstractClass(ViewportEventListener).inheritsFrom(Class(Listable));
+
     ViewportEventListener::ViewportEventListener()
     {
Index: /code/branches/core6/src/libraries/core/WindowEventListener.cc
===================================================================
--- /code/branches/core6/src/libraries/core/WindowEventListener.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/core/WindowEventListener.cc	(revision 9656)
@@ -35,4 +35,6 @@
     unsigned int WindowEventListener::windowHeight_s = 0;
 
+    RegisterAbstractClass(WindowEventListener).inheritsFrom(Class(Listable));
+
     WindowEventListener::WindowEventListener()
     {
Index: /code/branches/core6/src/libraries/core/XMLNameListener.cc
===================================================================
--- /code/branches/core6/src/libraries/core/XMLNameListener.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/core/XMLNameListener.cc	(revision 9656)
@@ -32,4 +32,6 @@
 namespace orxonox
 {
+    RegisterAbstractClass(XMLNameListener).inheritsFrom(Class(Listable));
+
     XMLNameListener::XMLNameListener()
     {
Index: /code/branches/core6/src/libraries/network/ClientConnectionListener.cc
===================================================================
--- /code/branches/core6/src/libraries/network/ClientConnectionListener.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/network/ClientConnectionListener.cc	(revision 9656)
@@ -35,4 +35,6 @@
 namespace orxonox
 {
+    RegisterAbstractClass(ClientConnectionListener).inheritsFrom(Class(Listable));
+
     ClientConnectionListener::ClientConnectionListener()
     {
Index: /code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc
===================================================================
--- /code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/network/synchronisable/Synchronisable.cc	(revision 9656)
@@ -44,4 +44,6 @@
 
   uint8_t Synchronisable::state_=0x1; // detemines wheter we are server (default) or client
+
+  RegisterAbstractClass(Synchronisable).inheritsFrom(Class(OrxonoxInterface));
 
   /**
Index: /code/branches/core6/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc
===================================================================
--- /code/branches/core6/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc	(revision 9655)
+++ /code/branches/core6/src/libraries/tools/interfaces/ToolsInterfaceCompilation.cc	(revision 9656)
@@ -46,4 +46,6 @@
     float TimeFactorListener::timefactor_s = 1.0f;
 
+    RegisterAbstractClass(TimeFactorListener).inheritsFrom(Class(Listable));
+
     TimeFactorListener::TimeFactorListener()
     {
@@ -65,4 +67,6 @@
     // Tickable
     //----------------------------
+    RegisterAbstractClass(Tickable).inheritsFrom(Class(OrxonoxInterface));
+
     /**
         @brief Constructor: Registers the object in the Tickable-list
Index: /code/branches/core6/src/orxonox/interfaces/InterfaceCompilation.cc
===================================================================
--- /code/branches/core6/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 9655)
+++ /code/branches/core6/src/orxonox/interfaces/InterfaceCompilation.cc	(revision 9656)
@@ -50,4 +50,6 @@
     // GametypeMessageListener
     //----------------------------
+    RegisterAbstractClass(GametypeMessageListener).inheritsFrom(Class(OrxonoxInterface));
+
     GametypeMessageListener::GametypeMessageListener()
     {
@@ -58,4 +60,6 @@
     // PlayerTrigger
     //----------------------------
+    RegisterAbstractClass(PlayerTrigger).inheritsFrom(Class(OrxonoxInterface));
+
     PlayerTrigger::PlayerTrigger()
     {
@@ -76,4 +80,6 @@
     // RadarListener
     //----------------------------
+    RegisterAbstractClass(RadarListener).inheritsFrom(Class(OrxonoxInterface));
+
     RadarListener::RadarListener()
     {
@@ -84,4 +90,6 @@
     // TeamColourable
     //----------------------------
+    RegisterAbstractClass(TeamColourable).inheritsFrom(Class(OrxonoxInterface));
+
     TeamColourable::TeamColourable()
     {
@@ -92,4 +100,6 @@
     // Rewardable
     //----------------------------
+    RegisterAbstractClass(Rewardable).inheritsFrom(Class(OrxonoxInterface));
+
     Rewardable::Rewardable()
     {
Index: /code/branches/core6/src/orxonox/interfaces/PickupCarrier.cc
===================================================================
--- /code/branches/core6/src/orxonox/interfaces/PickupCarrier.cc	(revision 9655)
+++ /code/branches/core6/src/orxonox/interfaces/PickupCarrier.cc	(revision 9656)
@@ -39,5 +39,7 @@
 #include "Pickupable.h"
 
-namespace orxonox {
+namespace orxonox
+{
+    RegisterAbstractClass(PickupCarrier).inheritsFrom(Class(OrxonoxInterface));
 
     /**
Index: /code/branches/core6/src/orxonox/interfaces/Pickupable.cc
===================================================================
--- /code/branches/core6/src/orxonox/interfaces/Pickupable.cc	(revision 9655)
+++ /code/branches/core6/src/orxonox/interfaces/Pickupable.cc	(revision 9656)
@@ -46,4 +46,5 @@
 namespace orxonox
 {
+    RegisterAbstractClass(Pickupable).inheritsFrom(Class(OrxonoxInterface)).inheritsFrom(Class(Rewardable));
 
     /**
Index: /code/branches/core6/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- /code/branches/core6/src/orxonox/interfaces/RadarViewable.cc	(revision 9655)
+++ /code/branches/core6/src/orxonox/interfaces/RadarViewable.cc	(revision 9656)
@@ -38,4 +38,6 @@
 namespace orxonox
 {
+    RegisterAbstractClass(RadarViewable).inheritsFrom(Class(OrxonoxInterface));
+
     /**
         @brief Constructor.
